#define CYRILLIC     204

#define M_FILENOTFOUND       "  !"

#define COLOR_BLACK          0x000000    && rgb(0,0,0)
#define COLOR_GREY           0x808080    && rgb(128,128,128)
#define COLOR_MIDDLEGREY     0xC0C0C0    && rgb(192,192,192)
#define COLOR_DISABLED       0xF0F0F0    && rgb(240,240,240)
#define COLOR_WHITE          0xFFFFFF    && rgb(255,255,255)

#define IMAGE_COMPANY        "company.png"
#define IMAGE_DEPARTMENT     "department.png"
#define IMAGE_GROUP          "group.png"
#define IMAGE_USER           "user.png"

#define NO_MODE              0
#define KEY_ENTER           13
#define KEY_SPACE           32
#define KEY_HOME             1
#define KEY_END              6

#define TRUE               .t.
#define FALSE              .f.

* FalseTree definitions
#define TREE_MAXNESTING      15
#define TREE_IMAGESIZE       18
#define TREE_NESTING         eval(cCursor+".TreeNesting")
#define TREE_VISIBLE         eval(cCursor+".TreeVisible")
#define TREE_NODE            eval(cCursor+".TreeNode")
#define TREE_OPEN            eval(cCursor+".TreeOpen")
#define TREE_MARK            eval(cCursor+".TreeMark")
#define TREE_TREEBOX         rtrim(eval(cCursor+".Treebox"))
#define TREE_NUM             rtrim(eval(this.TreeNum),0,".0")
#define TREE_FIELDS          cast(0 as I) as TreeNesting, cast(.f. as L) as TreeVisible, cast(.f. as L) as TreeNode, cast(.f. as L) as TreeOpen, cast('' as C(16)) as Treebox, cast(0 as I) as TreeCustPicture, cast(0 as I) as TreeMark
#define TREE_FIELDS2         TreeNesting I, TreeVisible L, TreeNode L, TreeOpen L, Treebox C(16) nocptrans, TreeCustPicture I, TreeMark I

#define TREE_EMPTY           1
#define TREE_ARROWCLOSE      2
#define TREE_ARROWOPEN       3
#define TREE_FILE            4
#define TREE_FOLDERCLOSE     5
#define TREE_FOLDEROPEN      6
#define TREE_CHECKOFF        7
#define TREE_CHECKON         8
#define TREE_CHECKPART       9

#define TREE_CLICK           0
#define TREE_ENTER           1
#define TREE_SPACE           2
